Get Node Ancestry
GET
HTTPBearerheader
AuthorizationBearer <token>node_id*Node Idmax_depth?Max DepthDefault
256projection?ProjectionDefault
"topology"Value in
"full""topology""core"Successful Response
application/json- response
anchor_node_id*Anchor Node Idcycle_detected*Cycle Detectedincomplete_parent_links*array<>max_depth*Max Depthmulti_parent_choices*array<>nodes*array<>parent_selection_strategy*Parent Selection Strategypath_edge_count*Path Edge Countpath_node_count*Path Node Countpath_node_ids*array<string>root_node_id*Root Node Idtruncated*Truncated[key: string]?anyExample Request
curl -X GET 'https://flywheel.paradigma.inc/api/v1/nodes/string/ancestry'Example Response
{ "anchor_node_id": "string", "cycle_detected": true, "incomplete_parent_links": [ { "candidate_parent_ids": [ "string" ], "node_id": "string" } ], "max_depth": 0, "multi_parent_choices": [ { "candidate_parent_ids": [ "string" ], "node_id": "string", "selected_parent_id": "string" } ], "nodes": [ {} ], "parent_selection_strategy": "string", "path_edge_count": 0, "path_node_count": 0, "path_node_ids": [ "string" ], "root_node_id": "string", "truncated": true}